Skip to main content
Contract / Budgets

Update contract budgets

This method requires the ContractBudgets:Update permission to be associated with your role.

POST
/fm/contract/budgets/update
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

billing_periodinteger

Optional. Must be specified if update_single_period is set to 'yes'.

Example: 1
billing_period_item_nointeger

Optional, defaults to 1. Targets which item number's amount_net/amount_gst get updated for the matched billing period(s); does not affect the scope of the payment_method override, which still applies across all item numbers.

Required range: 1 <= x <= 255
Example: 1
budgetsobject

A set of budgets to be updated with the posting class code as the property.

contract_idstringrequired

Contract Id

Example: 100000
payment_methodenum<string>

Optional targeted payment method

Available options: direct-debit, cheque, cash, other, credit-card, eft
Example: direct-debit
update_single_periodenum<string>

Optional with default 'no'. If set to 'no' all future Billing Periods including the billing_period nominated will be updated. If set to 'yes' update only the billing_period nominated.

Available options: yes, no
Example: no

Response

application/vnd.catch-e-api.v1+json

Success - will return the number of affected budget rows

affected_recordsinteger
Example: 123